Package org.fife.ui.rsyntaxtextarea

## Class RSyntaxTextAreaEditorKit.BeginWordAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - org.fife.ui.rtextarea.RecordableTextAction
      - - org.fife.ui.rtextarea.RTextAreaEditorKit.BeginWordAction
        - - org.fife.ui.rsyntaxtextarea.RSyntaxTextAreaEditorKit.BeginWordAction

- All Implemented Interfaces:
    `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`
  Enclosing class:
    RSyntaxTextAreaEditorKit

      protected static class RSyntaxTextAreaEditorKit.BeginWordAction
      extends RTextAreaEditorKit.BeginWordAction

  Positions the caret at the beginning of the word. This class is here to better handle finding the "beginning of the word" for programming languages.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BeginWordAction​(String name, boolean select)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `getWordStart​(RTextArea textArea, int offs)` |

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaEditorKit.BeginWordAction

      `actionPerformedImpl, getMacroID`

    - ### Methods inherited from class org.fife.ui.rtextarea.RecordableTextAction

      `actionPerformed, getAccelerator, getDescription, getIcon, getMnemonic, getName, isRecordable, setAccelerator, setMnemonic, setMnemonic, setName, setProperties, setRecordable, setShortDescription`

    - ### Methods inherited from class javax.swing.text.TextAction

      `augmentList, getFocusedComponent, getTextComponent`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.Action

      `accept`

- - ### Constructor Detail

    - #### BeginWordAction

          protected BeginWordAction​(String name,
                                    boolean select)

  - ### Method Detail

    - #### getWordStart

          protected int getWordStart​(RTextArea textArea,
                                     int offs)
                              throws BadLocationException

      Overrides:
        `getWordStart` in class `RTextAreaEditorKit.BeginWordAction`
      Throws:
        `BadLocationException`